> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/inventory-manager/populate-inventory/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Bulk load inventory nodes POST https://example.itential.io/inventory_manager/v1/nodes/bulk Content-Type: application/json Bulk insert nodes into an inventory. All existing nodes in the inventory are cleared before the new nodes are inserted. Reference: https://docs.itential.com/itential-cloud/api-reference/inventory-manager/populate-inventory ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `inventory_identifier` (string, optional) — The ID or name of the inventory to populate with nodes - `nodes` (list of object, optional) — Array of node objects to insert into the inventory. All existing nodes will be cleared before insertion. - `name` (string, required) — The name of the node - `attributes` (object, optional) — Key-value pairs of node attributes and properties - `tags` (list of string, optional) — Array of tag names to associate with this node. Tags will be automatically created if they don't exist. ## Response ### 200 Result of bulk insertion with detailed statistics - `status` (string, optional) - `result` (object, optional) - `inventory` (object, optional) - `id` (string, optional) — Inventory ObjectId - `name` (string, optional) — Inventory name - `statistics` (object, optional) - `total` (double, optional) — Total nodes processed - `inserted` (double, optional) — Number of nodes inserted - `skipped` (double, optional) — Number of nodes skipped - `errors` (list of string, optional) — Array of error messages for failed operations - `message` (string, optional) — Success message with operation summary ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": "Success", "result": { "inventory": { "id": "string", "name": "string" }, "statistics": { "total": 1.1, "inserted": 1.1, "skipped": 1.1, "errors": [ "string" ] } }, "message": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/inventory_manager/v1/nodes/bulk" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/inventory_manager/v1/nodes/bulk'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/inventory_manager/v1/nodes/bulk" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/inventory_manager/v1/nodes/bulk") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/inventory_manager/v1/nodes/bulk") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/inventory_manager/v1/nodes/bulk', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/inventory_manager/v1/nodes/bulk"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/inventory_manager/v1/nodes/bulk")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```